
C     _______________________________________________________________


      SUBROUTINE SETPRM
C     _________________


C     Task  ::  Sets Parameters

C     Parameters:
C     ----------

C	  RE	 --	Reynolds Number

C	  TAU	 --	Time Step Size

C	  NXMAX  --	Number of Horizontal Grid Points
C	  NZMAX  --	Number of Vertical Grid Points

C	  MNIF	 --	Maximum Number of Iterations per Field
C	  MNIT	 --	Maximum Number of Iterations per Time Step

C	  FTUFL  --	U Field Accuracy Tolerance
C	  FTWFL  --	W Field Accuracy Tolerance
C	  FTPFL  --	P Field Accuracy Tolerance
C	  FTTFL  --	T Field Accuracy Tolerance

C	  TTUFL  --	U Field Time Convergence Tolerance
C	  TTWFL  --	W Field Time Convergence Tolerance
C	  TTPFL  --	P Field Time Convergence Tolerance
C	  TTTFL  --	T Field Time Convergence Tolerance
C
C	  ILL	 --	Lower Limit for Hor. FA Calculation Domain
C	  IUL	 --	Upper Limit for Hor. FA Calculation Domain
C	  JLL	 --	Lower Limit for Vrt. FA Calculation Domain
C	  JUL	 --	Upper Limit for Vrt. FA Calculation Domain


C     Update :: 02.13.95
C     _______________________________________________________________


      INCLUDE 'common.f'

      CHARACTER*25 DTIN
      CHARACTER*72 LINE 
      
      OPEN(UNIT=04,FILE='parmtr.txt',STATUS='UNKNOWN')

      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE
      READ(04,600)LINE

      READ(04,300)
      READ(04,300)

      READ(04,100)DTIN,NXMAX
      READ(04,100)DTIN,NZMAX
      READ(04,200)DTIN,ASPR

      READ(04,300)

      READ(04,200)DTIN,RE

      READ(04,300)

      READ(04,200)DTIN,PR

      READ(04,300)

      READ(04,200)DTIN,SALPHA
      READ(04,200)DTIN,PTHETA

      READ(04,300)

      READ(04,100)DTIN,MNIT
      READ(04,100)DTIN,MNIF

      READ(04,300)

      READ(04,200)DTIN,TAU

      READ(04,300)

      READ(04,100)DTIN,IFTS
      READ(04,100)DTIN,ILTS

      READ(04,300)         
      
      READ(04,100)DTIN,ICND

      READ(04,300)

      READ(04,200)DTIN,FTUFL
      READ(04,200)DTIN,FTWFL
      READ(04,200)DTIN,FTPFL
      READ(04,200)DTIN,FTTFL

      READ(04,300)

      READ(04,200)DTIN,TTUFL
      READ(04,200)DTIN,TTWFL
      READ(04,200)DTIN,TTPFL
      READ(04,200)DTIN,TTTFL

      READ(04,300)

      READ(04,100)DTIN,ICUF
      READ(04,100)DTIN,ICWF
      READ(04,100)DTIN,ICPF
      READ(04,100)DTIN,ICTF

      READ(04,300)

      READ(04,100)DTIN,IUBCB
      READ(04,100)DTIN,IUBCL
      READ(04,100)DTIN,IUBCT
      READ(04,100)DTIN,IUBCR

      READ(04,300)

      READ(04,200)DTIN,UBVB
      READ(04,200)DTIN,UBVL
      READ(04,200)DTIN,UBVT
      READ(04,200)DTIN,UBVR

      READ(04,300)

      READ(04,100)DTIN,IWBCB
      READ(04,100)DTIN,IWBCL
      READ(04,100)DTIN,IWBCT
      READ(04,100)DTIN,IWBCR

      READ(04,300)

      READ(04,200)DTIN,WBVB
      READ(04,200)DTIN,WBVL
      READ(04,200)DTIN,WBVT
      READ(04,200)DTIN,WBVR

      READ(04,300)

      READ(04,100)DTIN,IPBCB
      READ(04,100)DTIN,IPBCL
      READ(04,100)DTIN,IPBCT
      READ(04,100)DTIN,IPBCR

      READ(04,300)

      READ(04,100)DTIN,ITBCB
      READ(04,100)DTIN,ITBCL
      READ(04,100)DTIN,ITBCT
      READ(04,100)DTIN,ITBCR

      READ(04,300)

      READ(04,200)DTIN,TBVB
      READ(04,200)DTIN,TBVL
      READ(04,200)DTIN,TBVT
      READ(04,200)DTIN,TBVR

      READ(04,300)

      ILL = 2
      IUL = NXMAX-1
      JLL = 2
      JUL = NZMAX-1

      READ(04,100)DTIN,ISDV(1)
      READ(04,100)DTIN,ISDV(2)
      READ(04,100)DTIN,ISDV(3)
      READ(04,100)DTIN,ISDV(4)


      MIDX = (NXMAX+1)/2.0D0

      DO 5000 IX = 1,MIDX
	  SFCT(IX) = TBVB
5000  CONTINUE

      DO 6000 IX = MIDX+1,NXMAX
	  SFCT(IX) = 0.0D0
6000  CONTINUE 

      CLOSE(04)

      RETURN

 100  FORMAT(A25,I4)
 150  FORMAT(A25)
 200  FORMAT(A25,D15.4)
 300  FORMAT(1X)
 400  FORMAT(A25,I4)
 500  FORMAT(A25,D15.4)
 600  FORMAT(A72)

      END
